C----------------------------------------------------------------------
	SUBROUTINE READHU(dname,nfil,STATUS)
C----------------------------------------------------------------------
C Read in file energy dispersive data in Rezung's format
C	(Temporary routine)
C----------------------------------------------------------------------
	LOGICAL status
	INTEGER nfil
	character*(*) dname

	include 'shared$common'
	include '[-.shared]flabel.common'
	CHARACTER*3 month,monlst(12)/'JAN','FEB','MAR','APR','MAY','JUN',
	1	'JUL','AUG','SEP','OCT','NOV','DEC'/
C
	INTEGER ln

	Character*80 card
	LOGICAL exist

	STATUS = .false.

C   First, Does the file exist?
	INQUIRE(FILE=dname,EXIST=exist,NAME=cfilnam(nfil),
	1	defaultfile='.new')
	IF (.not. exist) RETURN

	OPEN(UNIT=IN,FILE=cfilnam(nfil),TYPE='OLD',ERR=111,
	1	defaultfile='.new',FORM='FORMATTED',readonly,shared)

C  Read first card
	read (in,'(a)',err=111) card
	IF (card(1:4) .ne. 'EDXD') goto 111

C----------------------------------------------------------------------
C----------------------------------------------------------------------
	read (IN,'(a)',err=111) ATITLE(nfil)
	read (IN,'(i2,1x,a3,1x,i2)',err=111) DATE(2,nfil),month,DATE(3,nfil)
	date(1,nfil) = 0
	do i=1,12
	  if (month .eq. monlst(i)) date(1,nfil) = i
	enddo
	read (IN,'(3I)',err=111) npnt,FXTYP(nfil),FYTYP(nfil)
	read (IN,'(3f10.3)',err=111) START(nfil),FINISH(nfil),DELTA(nfil)
	READ (IN,'(8F9.2)',err=111) (B(i,nfil),I=1,npnt)
	IF (delta(nfil) .eq. 0) then 
	  READ (IN,'(8F9.2)',err=111) (Bx(i,nfil),I=1,npnt)
	ELSE
	  DO i=1,npnt
	    bx(i,nfil) = START(nfil) + (I-1.)*DELTA(nfil)
	  ENDDO
	ENDIF
	DO i=1,npnt
	  besd(i,nfil) = SQRT(b(i,nfil))
	ENDDO
	INST(nfil) = 'GE'
	SOURCE(nfil) = 'ED'
	IRAD(nfil) = '  '
	WAVE(nfil) = 1.0
	WKA1(nfil) = WAVE(nfil)
	WKA2(nfil) = WAVE(nfil)
	MONO(nfil)= .true.
	NPOINT(nfil)=npnt
	STATUS = .true.
	ln = lench(cfilnam(nfil))
	write (LO,'(A)') ' File '//cfilnam(nfil)(:ln)
	1		//' read in EDXD - HU format'
111	close(unit=IN)
	RETURN
	END
